openmemory
Docs
Journal

List journal entries, newest first

GET
/v1/journal

Authorization

headerAuthorizationBearer <token>

Your space key (om_...). Create one with POST /v1/spaces.

Query Parameters

from?string
Match^\d{4}-\d{2}-\d{2}$
to?string
Match^\d{4}-\d{2}-\d{2}$
kind?string
Value in"day""week"
limit?integer
Range1 <= value <= 100
Default31

Response Body

Entries

application/json
  1. response
entries*array<>
Example Request
curl -X GET 'https://api.openmemory.sh/v1/journal'
Example Response
{  "entries": [    {      "kind": "day",      "date": "string",      "summary": "string",      "decisions": [        "string"      ],      "open_loops": [        "string"      ],      "source_refs": [        "string"      ],      "origin": "user",      "updated_at": "string"    }  ]}